[DRE-commits] [SCM] pkg-ruby-extras.git branch, master, updated. 3f821c64c832a9ded12ed68e339b51e4995ba139

Antonio Terceiro terceiro at softwarelivre.org
Wed Sep 14 20:52:09 UTC 2011


The following commit has been merged in the master branch:
commit 3f821c64c832a9ded12ed68e339b51e4995ba139
Author: Antonio Terceiro <terceiro at softwarelivre.org>
Date:   Wed Sep 14 13:51:30 2011 -0700

    Script to generate a manifest of the repositories

diff --git a/manifest b/manifest
new file mode 100755
index 0000000..a4f4c46
--- /dev/null
+++ b/manifest
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+gitdirprefix="$1"
+if test -d gem2deb; then
+  # local
+  gitdirprefix="*/.git"
+else
+  # remote, on alioth
+  gitdirprefix="*.git"
+fi
+
+for dir in $gitdirprefix; do
+  name="$dir"
+  name="${name%%.git}"
+  name="${name%%/}"
+  echo "$name:"
+  for head in $dir/refs/heads/*; do
+    if test -f $head; then
+      headname="${head##*/}"
+      echo -n "  $headname: "
+      cat $head
+    fi
+  done
+done

-- 
pkg-ruby-extras.git



More information about the Pkg-ruby-extras-commits mailing list